using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SMAT_CE
{
    public partial class TipGIF : FormBase
    {
        public TipGIF()
        {
            InitializeComponent();
            this.ControlBox = false;
            
        }
        private string _msg = "Loading Data. Please wait!";
        /// <summary>
        /// 显示的文字提示
        /// </summary>
        public string Msg
        {
            get { return _msg; }
            set
            {
                _msg = value;
                this.lblTip.Text = _msg;
                //---------调整格式
                this.lblTip.Location = new Point((this.Width - this.picBoxGIF.Width - lblTip.Width) / 3 + this.picBoxGIF.Width, this.lblTip.Location.Y);
            }
        }

        public string Title
        {
            get { return this.Text; }
            set
            {
                this.Text = value;
            }
        }

        private void TipFormGIF_Load(object sender, EventArgs e)
        {
            if (this.ParentForm == null)
            {
                this.StartPosition = FormStartPosition.Manual;
                this.Location = new Point(CommonClass.MatsForm.ParentForm.Location.X + CommonClass.MatsForm.ParentForm.Size.Width / 2 - this.Size.Width / 2, CommonClass.MatsForm.ParentForm.Location.Y + CommonClass.MatsForm.ParentForm.Size.Height / 2 - this.Size.Height / 2);
            }
            this.ControlBox = false;
        }



    }
}
